> ## Documentation Index
> Fetch the complete documentation index at: https://docs.goyappr.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Revoke Shared Link

> Revoke a shared link so it can no longer be used. The only editable field is `is_revoked`.



## OpenAPI

````yaml PATCH /shared-links/{id}
openapi: 3.1.0
info:
  title: Yappr API
  description: >
    Create and manage AI voice agents, purchase phone numbers, configure tools,
    and initiate calls — all via REST.
  version: 1.0.0
  contact:
    url: https://goyappr.com
servers:
  - url: https://api.goyappr.com
    description: Production
security:
  - apiKey: []
paths:
  /shared-links/{id}:
    parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
          format: uuid
    patch:
      tags:
        - Shared Links
      summary: Revoke shared link
      description: >-
        Revoke a shared link so it can no longer be used. The only editable
        field is `is_revoked`.
      operationId: revokeSharedLink
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - is_revoked
              properties:
                is_revoked:
                  type: boolean
      responses:
        '200':
          description: Updated shared link
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SharedLink'
components:
  schemas:
    SharedLink:
      type: object
      properties:
        id:
          type: string
          format: uuid
        token:
          type: string
        url:
          type: string
          description: Full shareable URL
        agent_id:
          type: string
          format: uuid
        company_id:
          type: string
          format: uuid
        created_by:
          type: string
          format: uuid
          nullable: true
        expires_at:
          type: string
          format: date-time
          nullable: true
        is_revoked:
          type: boolean
        status:
          type: string
          enum:
            - active
            - expired
            - revoked
        created_at:
          type: string
          format: date-time
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: >-
        Your Yappr API key (e.g. `ypr_live_...`). Generate one in the dashboard
        under **Settings → API Keys**.

````